| Home | Libraries | People | FAQ | More

## Class template dynamic_binding

boost::type_erasure::dynamic_binding

## Synopsis

    // In header: <boost/type_erasure/binding.hpp>

    template<typename PlaceholderList>
    class dynamic_binding {
    public:
      // construct/copy/destruct
      template<typename Map> dynamic_binding(const static_binding< Map > &);
      template<typename Concept, typename Map>
        dynamic_binding(const binding< Concept > &, const static_binding< Map > &);
    };

## Description

Maps a set of placeholders to actual types.

### `dynamic_binding` public construct/copy/destruct

1.     template<typename Map> dynamic_binding(const static_binding< Map > &);

2.     template<typename Concept, typename Map>
         dynamic_binding(const binding< Concept > & other,
                         const static_binding< Map > &);